/* PRE & DEP */
@import url("form.css");

/* COMMON */
.compare-wrapper {
  position: relative;
  padding: 20px 0;
}
.compare-wrapper > .title-page {
  text-align: center;
}
.compare-wrapper .form-search-product {
  width: 100%;
  margin: 20px auto;
  padding: 10px;
  box-sizing: border-box;
  -moz-box-sizing: border-box;
  -webkit-box-sizing: border-box;
  border: 1px solid #eee;
}
.table-compare-wrapper {
  width: 100%;
  overflow-y: auto;
}
.compare-wrapper .table-compare {
  position: relative;
  max-width: 100%;
  margin: 20px auto 0 auto;
  box-sizing: border-box;
  -moz-box-sizing: border-box;
  -webkit-box-sizing: border-box;
  border-collapse: collapse;
  font-size: 13px;
}
.table-compare .product-image .thumb {
  position: relative;
  width: 250px;
  height: 130px;
  text-align: center;
  vertical-align: middle;
}
.table-compare .product-image .thumb .remove {
  position: absolute;
  display: block;
  top: 10px;
  right: 10px;
  width: 25px;
  height: 25px;
  line-height: 22px;
  font-size: 16px;
  background: #ccc;
  color: #fff;
  text-decoration: none;
}
.table-compare .product-image .thumb .remove:hover {
  background: #d11111;
}
.table-compare .product-image .thumb .remove i {
  font-size: 16px !important;
  color: #fff !important;
}
.table-compare .product-image .thumb img {
  max-width: 130px;
}
.table-compare .product-image .thumb i {
  font-size: 80px;
  color: #ccc;
}
.table-compare tr td {
  position: relative;
  padding: 5px 10px;
  border: 1px solid #ddd;
  word-wrap: break-word;
}
.table-compare tr.price td {
  font-size: 14px;
  font-weight: 600;
}
.table-compare tr td a {
  color: #0077ac;
  text-decoration: none;
}
.table-compare tr td a:hover {
  text-decoration: underline;
}
.table-compare tr td:first-child {
  font-weight: 600;
  vertical-align: top;
  text-align: right;
}
.table-compare tr:nth-child(even) {
  background-color: #f0f0f0;
}
/* SEARCH RESULT */
.select-box {
  position: relative;
  height: 30px;
  border: 1px solid #ccc;
  box-sizing: border-box;
  -moz-box-sizing: border-box;
  -webkit-box-sizing: border-box;
}
.select-box i {
  position: absolute;
  top: 5px;
  right: 5px;
  font-size: 16px;
}
.select-box select {
  position: relative;
  width: 100%;
  height: 100%;
  border: none;
  padding: 0 20px 0 5px;
  box-sizing: border-box;
  -moz-box-sizing: border-box;
  -webkit-box-sizing: border-box;
  background: transparent;
  -webkit-appearance: none;
  -moz-appearance: none;
}

.button-action button {
  display: block;
  width: 100%;
  margin-top: 10px;
  padding: 5px 10px;
  text-align: center;
  border: 1px solid #ccc;
  background: #f0f0f0;
  outline: 0;
  font-family: "Open Sans", Helvetica, Arial, sans-serif;
  color: #333;
  cursor: pointer;
  transition: all 300ms ease;
  -o-transition: all 300ms ease;
  -ms-transition: all 300ms ease;
  -moz-transition: all 300ms ease;
  -webkit-transition: all 300ms ease;
  letter-spacing: 0px;
}
.button-action button:hover {
  border: 1px solid #0077ac;
  color: #0077ac;
  letter-spacing: 0.5px;
}
.button-action button.primary {
  font-size: 25px;
  text-transform: uppercase;
  font-weight: 600;
  background: #ff9f37;
  border: 1px solid #ff9f37;
  color: #fff;
}
.button-action button.primary:hover {
  border: 1px solid #0077ac;
  background: #0077ac;
}
.button-action button:disabled {
  background: #ccc;
  border: 1px solid #ccc;
  color: #fff;
}
.button-action button:disabled:hover {
  background: #ccc;
  border: 1px solid #ccc;
  color: #fff;
  letter-spacing: 0px;
}
.product-nav {
  margin-top: 20px;
}
.product-filter {
  padding: 10px;
  border: 1px solid #ddd;
}
.product-filter li,
.product-paging li {
  margin: 0 1px;
}
.product-filter li.filter-title {
  font-size: 14px;
}
.product-filter li.filter-title > i {
  float: left;
  margin: 2px 5px 0 0;
  color: #0077ac;
  font-size: 18px;
}
.product-filter li.filter-title a {
  float: right;
  display: block;
  width: 25px;
  height: 25px;
  line-height: 25px;
  text-align: center;
  font-size: 18px;
  color: #fff;
  background: #0077ac;
}
.product-filter li.filter-item {
  display: none;
  margin-top: 10px;
  font-weight: 600;
}
.product-filter li.filter-item label {
  margin-top: 5px;
  width: 60px;
  float: left;
}
.product-paging {
  margin-top: 20px;
  text-align: center;
  white-space: wrap;
}
.product-paging li {
  display: inline-block;
}
.product-paging li.paging-label {
  display: none;
}
.product-paging li.paging-item {
  margin: 0 10px;
}
.product-filter li .select-box,
.product-paging li .select-box {
  display: inline-block;
  margin: 0 5px;
}
.product-paging li a {
  display: inline-block;
  width: 30px;
  height: 30px;
  border: 1px solid #ccc;
  box-sizing: border-box;
  -moz-box-sizing: border-box;
  -webkit-box-sizing: border-box;
  font-size: 18px;
  color: #0077ac;
  text-align: center;
}
.product-paging li a i {
  transition: all 100ms ease;
  -o-transition: all 100ms ease;
  -ms-transition: all 100ms ease;
  -moz-transition: all 100ms ease;
  -webkit-transition: all 100ms ease;
}
.product-paging li a.active,
.product-paging li a:hover {
  border-color: #0077ac;
}
.product-paging li a:hover i {
  transform: scale(1.3);
}

.product-list {
  position: relative;
}
.product-list li {
  position: relative;
  float: left;
  width: 100%;
  height: 250px;
  box-sizing: border-box;
  -moz-box-sizing: border-box;
  -webkit-box-sizing: border-box;
  text-align: center;
}

.product-list li a {
  display: block;
  width: 100%;
  height: 100%;
  padding: 10px;
  border: 1px solid #fff;
  overflow: hidden;
  box-sizing: border-box;
  -moz-box-sizing: border-box;
  -webkit-box-sizing: border-box;
  color: #333;
  text-decoration: none;
  word-wrap: break-word;
  background: #fff;
  overflow: hidden;
}
.product-list li a:hover {
  position: absolute;
  z-index: 1;
  top: 0;
  left: 0;
  border: 1px solid #ccc;
  height: auto;
  min-height: 100%;
  box-shadow: 0 2px 2px #ccc;
}
.product-list li a .thumb {
  height: 130px;
  padding: 10px 0;
  text-align: center;
  transition: all 300ms ease;
  -o-transition: all 300ms ease;
  -ms-transition: all 300ms ease;
  -moz-transition: all 300ms ease;
  -webkit-transition: all 300ms ease;
}
.product-list li a:hover .thumb {
  margin-top: -5px;
}
.product-list li a .thumb img {
  max-height: 130px;
}
.product-list li a .title {
  position: relative;
  font-weight: 600;
  height: 35px;
  max-height: 35px;
  overflow: hidden;
  transition: all 300ms ease;
  -o-transition: all 300ms ease;
  -ms-transition: all 300ms ease;
  -moz-transition: all 300ms ease;
  -webkit-transition: all 300ms ease;
}
.product-list li a:hover .title {
  height: auto;
  min-height: 35px;
  max-height: 70px;
}
.product-list li a .title .masking {
  position: absolute;
  bottom: 0;
  left: 0;
  width: 100% !important;
  height: 25px;
  background: -moz-linear-gradient(
    top,
    rgba(255, 255, 255, 0) 0,
    rgba(255, 255, 255, 1) 100%
  );
  background: -webkit-linear-gradient(
    top,
    rgba(255, 255, 255, 0) 0,
    rgba(255, 255, 255, 1) 100%
  );
  background: linear-gradient(
    to bottom,
    rgba(255, 255, 255, 0) 0,
    rgba(255, 255, 255, 1) 100%
  );
}
.product-list li a:hover .title .masking {
  display: none;
}
.product-list li a .button-action {
  margin-top: 15px;
  text-align: center;
}
.product-list li a .button-action button {
  display: inline-block;
  width: auto;
  font-size: 12px;
}
.product-list li a .button-action button.primary {
  display: block;
  width: 100%;
  font-size: 14px;
}
.product-list li a .button-action button.primary i {
  font-size: 16px;
}
/* Smartphones */
@media (min-width: 300px) {
  .product-list li {
    width: 50%;
  }
}
/* Landscape phones */
@media (min-width: 450px) {
  .product-paging li.paging-label {
    display: inline-block;
  }
}
/* Tablets */
@media (min-width: 600px) {
  .product-filter li.filter-title {
    display: inline-block;
    margin: -10px 10px -10px -10px;
    padding: 10px;
    border-right: 1px solid #ddd;
  }
  .product-filter li.filter-title a {
    display: none;
  }
  .product-filter li.filter-item {
    display: inline-block;
    margin: 0 10px 0 0;
  }
  .product-filter li.filter-item label {
    width: auto;
  }
  .product-paging li.paging-label {
    display: inline-block;
  }
  .product-list li {
    width: 33.33%;
  }
  .product-list li a .label {
    top: 115px;
  }
}
/* Bigger tablets */
@media (min-width: 750px) {
  .product-filter {
    float: left;
  }
  .product-paging {
    float: right;
    margin-top: 10px;
  }
  .product-list li {
    width: 25%;
  }
}
/* Desktop screen or landscape tablet */
@media (min-width: 900px) {
  .product-list li {
    width: 20%;
  }
  .table-compare tr td:first-child {
    width: 200px;
  }
}
/* Bigger desktop */
@media (min-width: 1100px) {
  .compare-wrapper .form-search-product {
    width: 400px;
  }
  .product-filter {
    border: none;
    padding: 10px 0;
  }
  .product-filter li.filter-title,
  .product-filter li.hide-wide {
    display: none;
  }
}
/* Widescreens */
@media (min-width: 1500px) {
}
